Package net.shibboleth.idp.cli

# Class DataSealerCLI

java.lang.Object
net.shibboleth.shared.cli.AbstractCommandLine<T>
net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLine<DataSealerArguments>
net.shibboleth.idp.cli.DataSealerCLI

public class DataSealerCLI extends AbstractIdPHomeAwareCommandLine<DataSealerArguments>
Command line utility for `DataSealer`.

Since:
  4.1.0

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`AbstractCommandLine.TerminalCodes`

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Class logger.

### Fields inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`ARGS_PROPERTY, RC_INIT, RC_IO, RC_MODULE, RC_OK, RC_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`DataSealerCLI()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doRun(DataSealerArguments args)`
`protected Class<DataSealerArguments>`
`getArgumentClass()`
`protected org.slf4j.Logger`
`getLogger()`
`protected String`
`getVersion()`
`static void`
`main(String[] args)`
CLI entry point.

### Methods inherited from class net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLine

`getHttpClient, getHttpClientSecurityParameters`

### Methods inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`getAdditionalSpringResources, getApplicationContext, initLogging, run, setCaseSensitiveOptions, setContextInitializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nullable private org.slf4j.Logger log
Class logger.

## Constructor Details

### DataSealerCLI

public DataSealerCLI()

## Method Details

### getLogger

@Nonnull protected org.slf4j.Logger getLogger()

Specified by:
  `getLogger` in class `AbstractCommandLine<DataSealerArguments>`

### getArgumentClass

@Nonnull protected Class<DataSealerArguments> getArgumentClass()

Specified by:
  `getArgumentClass` in class `AbstractCommandLine<DataSealerArguments>`

### getVersion

@Nonnull @NotEmpty protected String getVersion()

Specified by:
  `getVersion` in class `AbstractCommandLine<DataSealerArguments>`

### doRun

protected int doRun(@Nonnull DataSealerArguments args)

Overrides:
  `doRun` in class `AbstractIdPHomeAwareCommandLine<DataSealerArguments>`

### main

public static void main(@Nonnull String[] args)
CLI entry point.

Parameters:
  `args` - arguments